Devices
Devices that receive push notifications.
Register a device to receive push
POST /me/dispositivos
Access: Any signed-in person. Rate limit: up to 20 calls every 60 s per origin. Success status: 204.
Request body (DispositivoRegistrar)
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
token | string | yes | 8–4096 characters; ^[\x21-\x7E]+$ | |
plataforma | "IOS" | "ANDROID" | "WEB" | yes |
Response
No response body.
On error: ErroApi model.
Example
bash
curl -X POST "$API/me/dispositivos" -H "Authorization: Bearer $TOKEN" -H "Content-Type: application/json" -d '{"token":"texto","plataforma":"IOS"}'Remove a device from push
DELETE /me/dispositivos
Access: Any signed-in person. Rate limit: up to 20 calls every 60 s per origin. Success status: 204.
Request body (DispositivoRemover)
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
token | string | yes | 8–4096 characters; ^[\x21-\x7E]+$ |
Response
No response body.
On error: ErroApi model.
Example
bash
curl -X DELETE "$API/me/dispositivos" -H "Authorization: Bearer $TOKEN" -H "Content-Type: application/json" -d '{"token":"texto"}'